using Minesweeper.Core;
using Minesweeper.Presentation.Views;
using UnityEngine;

namespace Minesweeper.Presentation.Factories
{
    public interface ICellViewFactory
    {
        CellView CreateCell(BoardCellData cell, Transform parent);
        string BuildCellName(int x, int y, int value, bool isMine);
        string BuildCellName(int x, int y, string displayValue);
    }
}
